<?php

/*
+---------------------------------------------------------------------------+
| Max Media Manager v0.3                                                    |
| =================                                                         |
|                                                                           |
| Copyright (c) 2003-2005 m3 Media Services Limited                         |
| For contact details, see: http://www.m3.net/                              |
|                                                                           |
| This program is free software; you can redistribute it and/or modify      |
| it under the terms of the GNU General Public License as published by      |
| the Free Software Foundation; either version 2 of the License, or         |
| (at your option) any later version.                                       |
|                                                                           |
| This program is distributed in the hope that it will be useful,           |
| but WITHOUT ANY WARRANTY; without even the implied warranty of            |
| MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
| GNU General Public License for more details.                              |
|                                                                           |
| You should have received a copy of the GNU General Public License         |
| along with this program; if not, write to the Free Software               |
| Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA |
+---------------------------------------------------------------------------+
$Id: AdServer.php 3694 2005-09-23 12:16:50Z andrew $
*/

require_once MAX_PATH . '/lib/max/Maintenance/Priority/AdServer/Runner.php';
require_once MAX_PATH . '/lib/max/Maintenance/Priority/AdServer/tasks/ForecastZoneImpressions.php';
require_once MAX_PATH . '/lib/max/Maintenance/Priority/AdServer/tasks/GetRequiredAdImpressionsType1.php';
require_once MAX_PATH . '/lib/max/Maintenance/Priority/AdServer/tasks/GetRequiredAdImpressionsType2.php';
require_once MAX_PATH . '/lib/max/Maintenance/Priority/AdServer/tasks/AllocateZoneImpressions.php';
require_once MAX_PATH . '/lib/max/Maintenance/Priority/AdServer/tasks/FilterCompensation.php';
 
/**
 * @package    MaxMaintenance
 * @subpackage Priority
 * @author     Andrew Hill <andrew@m3.net>
 */
class MAX_Maintenance_Priority_AdServer
{
    var $taskRunner;
    
    /**
     * The constructor method.
     */
    function MAX_Maintenance_Priority_AdServer()
    {
        // Create the task runner object, for running the MPE tasks
        $this->taskRunner = &new MAX_Maintenance_Priority_AdServer_Runner();
        // Add a task to update the zone impression forecasts
        $oForecastZoneImpressions = &new ForecastZoneImpressions();
        $this->taskRunner->addTask($oForecastZoneImpressions);
        // Add tasks to get the required ad impressions
        $oGetRequiredAdImpressionsType1 = &new GetRequiredAdImpressionsType1();
        $this->taskRunner->addTask($oGetRequiredAdImpressionsType1);
        $oGetRequiredAdImpressionsType2 = &new GetRequiredAdImpressionsType2();
        $this->taskRunner->addTask($oGetRequiredAdImpressionsType2);
        // Add a task to allocate the ad impressions to zones
        $oAllocateZoneImpressions = &new AllocateZoneImpressions();
        $this->taskRunner->addTask($oAllocateZoneImpressions);
        // Add a task to compensate for filters & save the priority values
        $oFilterCompensation = &new FilterCompensation();
        $this->taskRunner->addTask($oFilterCompensation);
    }
    
    /**
     * The method to run the Maintenance Priority process.
     */
    function updatePriorities()
    {
        // Run the required tasks
        $this->taskRunner->main();
    }
    
}

?>
