<?php

/*
+---------------------------------------------------------------------------+
| Max Media Manager v0.3                                                    |
| =================                                                         |
|                                                                           |
| Copyright (c) 2003-2005 m3 Media Services Limited                         |
| For contact details, see: http://www.m3.net/                              |
|                                                                           |
| Copyright (c) 2000-2003 the phpAdsNew developers                          |
| For contact details, see: http://www.phpadsnew.com/                       |
|                                                                           |
| This program is free software; you can redistribute it and/or modify      |
| it under the terms of the GNU General Public License as published by      |
| the Free Software Foundation; either versiconfig.phpon 2 of the License, or         |
| (at your option) any later version.                                       |
|                                                                           |
| This program is distributed in the hope that it will be useful,           |
| but WITHOUT ANY WARRANTY; without even the implied warranty of            |
| MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
| GNU General Public License for more details.                              |
|                                                                           |
| You should have received a copy of the GNU General Public License         |
| along with this program; if not, write to the Free Software               |
| Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA |
+---------------------------------------------------------------------------+
$Id: config.php 3718 2005-10-04 16:36:15Z chris $
*/

// Required files
require_once MAX_PATH . '/lib/max/Admin/Preferences.php';
require_once MAX_PATH . '/lib/max/language/Default.php';
require_once MAX_PATH . '/lib/max/other/lib-io.inc.php';
require_once MAX_PATH . '/lib/max/other/lib-db.inc.php';
require_once MAX_PATH . '/lib/max/other/lib-userlog.inc.php';
require_once MAX_PATH . '/www/admin/lib-gui.inc.php';
require_once MAX_PATH . '/www/admin/lib-permissions.inc.php';

// Open the database connection
$link = phpAds_dbConnect();
if (!$link) {
	// This text isn't translated, because if it is shown the language files are not yet loaded
	phpAds_Die ("A fatal error occurred", MAX_PRODUCT_NAME." can't connect to the database.
				Because of this it isn't possible to use the administrator interface. The delivery
				of banners might also be affected. Possible reasons for the problem are:
				<ul><li>The database server isn't functioning at the moment</li>
				<li>The location of the database server has changed</li>
				<li>The username or password used to contact the database server are not correct</li>
				</ul>");
}

// Load the user preferences from the database
$pref = MAX_Admin_Preferences::loadPrefs();

// First thing to do is clear the $session variable to
// prevent users from pretending to be logged in.
unset($session);

// Authorize the user
phpAds_Start();

$agencyid = phpAds_getAgencyID();
if ($agencyid > 0) {
    // Reload user preferences from the database because we are using
    // agency settings
    $pref = MAX_Admin_Preferences::loadPrefs($agencyid);
}

// Load the required language files
Language_Default::load();

// Register variables
phpAds_registerGlobal(
	 'affiliateid'
	,'agencyid'
	,'bannerid'
	,'campaignid'
	,'clientid'
	,'day'
	,'trackerid'
	,'userlogid'
	,'zoneid'
);

if (!isset($affiliateid))	$affiliateid = '';
if (!isset($agencyid))		$agencyid = '';
if (!isset($bannerid))		$bannerid = '';
if (!isset($campaignid))	$campaignid = '';
if (!isset($clientid))		$clientid = '';
if (!isset($day))			$day = '';
if (!isset($trackerid))		$trackerid = '';
if (!isset($userlogid))		$userlogid = '';
if (!isset($zoneid))		$zoneid = '';

// Setup navigation
function MMM_buildNavigation()
{
    global $affiliateid, $agencyid, $bannerid, $campaignid, $clientid, $day, $trackerid, $userlogid, $zoneid;
    
    $GLOBALS['phpAds_nav'] = array (
    	"admin"	=> array (
    		"2"							=>  array("stats-global-advertiser.php" => $GLOBALS['strStats']),
     	  	  "2.1"						=>  array("stats-global-advertiser.php" => $GLOBALS['strClientsAndCampaigns']),
    		    "2.1.1"					=>  array("stats-advertiser-history.php?clientid=$clientid" => $GLOBALS['strClientHistory']),
    		      "2.1.1.1"				=> 	array("stats-advertiser-daily.php?clientid=$clientid&day=$day" => $GLOBALS['strDailyStats']),
    		    "2.1.2"					=>  array("stats-advertiser-campaigns.php?clientid=$clientid" => $GLOBALS['strCampaignOverview']),
        	      "2.1.2.1"		 		=> 	array("stats-campaign-history.php?clientid=$clientid&campaignid=$campaignid" => $GLOBALS['strCampaignHistory']),
    		        "2.1.2.1.1"			=> 	array("stats-campaign-daily.php?clientid=$clientid&campaignid=$campaignid&day=$day" => $GLOBALS['strDailyStats']),
    			  "2.1.2.2"				=> 	array("stats-campaign-banners.php?clientid=$clientid&campaignid=$campaignid" => $GLOBALS['strBannerOverview']),
    			    "2.1.2.2.1" 		=> 	array("stats-banner-history.php?clientid=$clientid&campaignid=$campaignid&bannerid=$bannerid" => $GLOBALS['strBannerHistory']),
    		          "2.1.2.2.1.1"		=> 	array("stats-banner-daily.php?clientid=$clientid&campaignid=$campaignid&bannerid=$bannerid&day=$day" => $GLOBALS['strDailyStats']),
        	        "2.1.2.2.2" 		=> 	array("stats-banner-affiliates.php?clientid=$clientid&campaignid=$campaignid&bannerid=$bannerid" => $GLOBALS['strPublisherDistribution']),
        	      "2.1.2.3"		 		=> 	array("stats-campaign-affiliates.php?clientid=$clientid&campaignid=$campaignid" => $GLOBALS['strPublisherDistribution']),
        	      "2.1.2.4"		 		=> 	array("stats-campaign-target.php?clientid=$clientid&campaignid=$campaignid" => $GLOBALS['strTargetStats']),
        	      "2.1.2.5"		 		=> 	array("stats-campaign-optimise.php?clientid=$clientid&campaignid=$campaignid" => $GLOBALS['strOptimise']),
        	      "2.1.2.6"		 		=> 	array("stats-campaign-keywords.php?clientid=$clientid&campaignid=$campaignid" => $GLOBALS['strKeywordStatistics']),
    		  "2.2"						=>  array("stats-global-history.php" => $GLOBALS['strGlobalHistory']),
    		    "2.2.1"					=> 	array("stats-global-daily.php?day=$day" => $GLOBALS['strDailyStats']),
    	      "2.4"		 				=> 	array("stats-global-affiliates.php" => $GLOBALS['strAffiliatesAndZones']),
    		    "2.4.1"					=>  array("stats-affiliate-history.php?affiliateid=$affiliateid" => $GLOBALS['strAffiliateHistory']),
    			  "2.4.1.1"				=>  array("stats-affiliate-daily.php?affiliateid=$affiliateid&day=$day" => $GLOBALS['strDailyStats']),
    		    "2.4.2"					=>  array("stats-affiliate-zones.php?affiliateid=$affiliateid" => $GLOBALS['strZoneOverview']),
    		      "2.4.2.1"				=>  array("stats-zone-history.php?affiliateid=$affiliateid&zoneid=$zoneid" => $GLOBALS['strZoneHistory']),
    		        "2.4.2.1.1"			=>  array("stats-zone-daily.php?affiliateid=$affiliateid&zoneid=$zoneid&day=$day" => $GLOBALS['strDailyStats']),
    		      "2.4.2.2"				=>  array("stats-zone-linkedbanners.php?affiliateid=$affiliateid&zoneid=$zoneid" => $GLOBALS['strLinkedBannersOverview']),
    		        "2.4.2.2.1"			=>  array("stats-linkedbanner-history.php?affiliateid=$affiliateid&zoneid=$zoneid&bannerid=$bannerid" => $GLOBALS['strLinkedBannerHistory']),
    	      "2.5"		 				=> 	array("stats-global-misc.php" => $GLOBALS['strMiscellaneous']),
    		"3"							=>  array("report-index.php" => $GLOBALS['strReports']),
    		"4"							=>	array("advertiser-index.php" => $GLOBALS['strAdminstration']),
    		  "4.1"						=>	array("advertiser-index.php" => $GLOBALS['strClientsAndCampaigns']),
    		    "4.1.1"					=> 	array("advertiser-edit.php" => $GLOBALS['strAddClient']),
    		    "4.1.2"					=> 	array("advertiser-edit.php?clientid=$clientid" => $GLOBALS['strClientProperties']),
    		    "4.1.3"					=> 	array("advertiser-campaigns.php?clientid=$clientid" => $GLOBALS['strCampaignOverview']),
    		      "4.1.3.1"				=>  array("campaign-edit.php?clientid=$clientid" => $GLOBALS['strAddCampaign']),
    		      "4.1.3.2"				=>	array("campaign-edit.php?clientid=$clientid&campaignid=$campaignid" => $GLOBALS['strCampaignProperties']),
    		      "4.1.3.3"				=> 	array("campaign-zone.php?clientid=$clientid&campaignid=$campaignid" => $GLOBALS['strLinkedZones']),
    		      "4.1.3.4"				=> 	array("campaign-banners.php?clientid=$clientid&campaignid=$campaignid" => $GLOBALS['strBannerOverview']),
    		        "4.1.3.4.1"			=> 	array("banner-edit.php?clientid=$clientid&campaignid=$campaignid" => $GLOBALS['strAddBanner']),
    		        "4.1.3.4.2"			=> 	array("banner-edit.php?clientid=$clientid&campaignid=$campaignid&bannerid=$bannerid" => $GLOBALS['strBannerProperties']),
    		        "4.1.3.4.3"			=> 	array("banner-acl.php?clientid=$clientid&campaignid=$campaignid&bannerid=$bannerid" => $GLOBALS['strModifyBannerAcl']),
    		        "4.1.3.4.4"			=> 	array("banner-zone.php?clientid=$clientid&campaignid=$campaignid&bannerid=$bannerid" => $GLOBALS['strLinkedZones']),
    			    "4.1.3.4.5"			=>  array("banner-swf.php?clientid=$clientid&campaignid=$campaignid&bannerid=$bannerid" => $GLOBALS['strConvertSWFLinks']),
    			    "4.1.3.4.6"			=>  array("banner-append.php?clientid=$clientid&campaignid=$campaignid&bannerid=$bannerid" => $GLOBALS['strAppendOthers']),
    		      "4.1.3.5"				=> 	array("campaign-trackers.php?clientid=$clientid&campaignid=$campaignid" => $GLOBALS['strLinkedTrackers']),
    		    "4.1.4"					=> 	array("advertiser-trackers.php?clientid=$clientid" => $GLOBALS['strTrackerOverview']),
    		      "4.1.4.1"				=>  array("tracker-edit.php?clientid=$clientid" => $GLOBALS['strAddTracker']),
    		      "4.1.4.2"				=>	array("tracker-edit.php?clientid=$clientid&trackerid=$trackerid" => $GLOBALS['strTrackerProperties']),
    		      "4.1.4.3"				=> 	array("tracker-campaigns.php?clientid=$clientid&trackerid=$trackerid" => $GLOBALS['strLinkedCampaigns']),
    		      "4.1.4.4"				=> 	array("tracker-invocation.php?clientid=$clientid&trackerid=$trackerid" => $GLOBALS['strInvocationcode']),
    		      "4.1.4.6"				=> 	array("tracker-append.php?clientid=$clientid&trackerid=$trackerid" => $GLOBALS['strAppendTrackerCode']),
    		      "4.1.4.5"				=> 	array("tracker-variables.php?clientid=$clientid&trackerid=$trackerid" => $GLOBALS['strTrackerVariables']),			  
    		  "4.2" 					=> 	array("affiliate-index.php" => $GLOBALS['strAffiliatesAndZones']),
    		    "4.2.1" 				=> 	array("affiliate-edit.php" => $GLOBALS['strAddNewAffiliate']),
    		    "4.2.2" 				=> 	array("affiliate-edit.php?affiliateid=$affiliateid" => $GLOBALS['strAffiliateProperties']),
    		    "4.2.3" 				=> 	array("affiliate-zones.php?affiliateid=$affiliateid" => $GLOBALS['strZoneOverview']),
    		      "4.2.3.1"				=> 	array("zone-edit.php?affiliateid=$affiliateid" => $GLOBALS['strAddNewZone']),
      		      "4.2.3.2"				=> 	array("zone-edit.php?affiliateid=$affiliateid&zoneid=$zoneid" => $GLOBALS['strZoneProperties']),
    		      "4.2.3.3"				=> 	array("zone-include.php?affiliateid=$affiliateid&zoneid=$zoneid" => $GLOBALS['strIncludedBanners']),
    		      "4.2.3.4"				=> 	array("zone-probability.php?affiliateid=$affiliateid&zoneid=$zoneid" => $GLOBALS['strProbability']),
    		      "4.2.3.5"				=> 	array("zone-invocation.php?affiliateid=$affiliateid&zoneid=$zoneid" => $GLOBALS['strInvocationcode']),
      		      "4.2.3.6"				=> 	array("zone-advanced.php?affiliateid=$affiliateid&zoneid=$zoneid" => $GLOBALS['strAdvanced']),
      		    "4.2.4"                 =>  array("affiliate-invocation.php?affiliateid=$affiliateid" => $GLOBALS['strAffiliateInvocation']),
    		    "4.2.5" 				=> 	array("channels.php?agencyid=$agencyid&affiliateid=$affiliateid" => $GLOBALS['strChannelManagement']),
    		  "4.3" 					=> 	array("admin-generate.php" => $GLOBALS['strGenerateBannercode']),
    		"5"							=> 	array("settings-index.php" => $GLOBALS['strSettings']),
    		  "5.1" 					=> 	array("settings-index.php" => $GLOBALS['strMainSettings']),
    		  "5.2" 					=> 	array("userlog-index.php" => $GLOBALS['strUserLog']),
    		  	"5.2.1" 				=> 	array("userlog-details.php?userlogid=$userlogid" => $GLOBALS['strUserLogDetails']),
    		  "5.3" 					=> 	array("maintenance-index.php" => $GLOBALS['strMaintenance']),
    		  "5.4" 					=> 	array("maintenance-updates.php" => $GLOBALS['strProductUpdates']),
    		  "5.5" 					=> 	array("agency-index.php" => $GLOBALS['strAgencyManagement']),
    		  	"5.5.1" 				=> 	array("agency-edit.php" => $GLOBALS['strAddAgency']),
    		    "5.5.2"					=> 	array("agency-edit.php?agencyid=$agencyid" => $GLOBALS['strAgencyProperties']),
    		    "5.5.3" 				=> 	array("channels.php?agencyid=$agencyid" => $GLOBALS['strChannelManagement']),
    
    	),
    
    	"agency"	=> array (
    		"2"							=>  array("stats-global-advertiser.php" => $GLOBALS['strStats']),
     	  	  "2.1"						=>  array("stats-global-advertiser.php" => $GLOBALS['strClientsAndCampaigns']),
    		    "2.1.1"					=>  array("stats-advertiser-history.php?clientid=$clientid" => $GLOBALS['strClientHistory']),
    		      "2.1.1.1"				=> 	array("stats-advertiser-daily.php?clientid=$clientid&day=$day" => $GLOBALS['strDailyStats']),
    		    "2.1.2"					=>  array("stats-advertiser-campaigns.php?clientid=$clientid" => $GLOBALS['strCampaignOverview']),
        	      "2.1.2.1"		 		=> 	array("stats-campaign-history.php?clientid=$clientid&campaignid=$campaignid" => $GLOBALS['strCampaignHistory']),
    		        "2.1.2.1.1"			=> 	array("stats-campaign-daily.php?clientid=$clientid&campaignid=$campaignid&day=$day" => $GLOBALS['strDailyStats']),
    			  "2.1.2.2"				=> 	array("stats-campaign-banners.php?clientid=$clientid&campaignid=$campaignid" => $GLOBALS['strBannerOverview']),
    			    "2.1.2.2.1" 		=> 	array("stats-banner-history.php?clientid=$clientid&campaignid=$campaignid&bannerid=$bannerid" => $GLOBALS['strBannerHistory']),
    		          "2.1.2.2.1.1"		=> 	array("stats-banner-daily.php?clientid=$clientid&campaignid=$campaignid&bannerid=$bannerid&day=$day" => $GLOBALS['strDailyStats']),
        	        "2.1.2.2.2" 		=> 	array("stats-banner-affiliates.php?clientid=$clientid&campaignid=$campaignid&bannerid=$bannerid" => $GLOBALS['strPublisherDistribution']),
        	      "2.1.2.3"		 		=> 	array("stats-campaign-affiliates.php?clientid=$clientid&campaignid=$campaignid" => $GLOBALS['strPublisherDistribution']),
        	      "2.1.2.4"		 		=> 	array("stats-campaign-target.php?clientid=$clientid&campaignid=$campaignid" => $GLOBALS['strTargetStats']),
        	      "2.1.2.5"		 		=> 	array("stats-campaign-optimise.php?clientid=$clientid&campaignid=$campaignid" => $GLOBALS['strOptimise']),
        	      "2.1.2.6"		 		=> 	array("stats-campaign-keywords.php?clientid=$clientid&campaignid=$campaignid" => $GLOBALS['strKeywordStatistics']),
    		  "2.2"						=>  array("stats-global-history.php" => $GLOBALS['strGlobalHistory']),
    		    "2.2.1"					=> 	array("stats-global-daily.php?day=$day" => $GLOBALS['strDailyStats']),
    	      "2.4"		 				=> 	array("stats-global-affiliates.php" => $GLOBALS['strAffiliatesAndZones']),
    		    "2.4.1"					=>  array("stats-affiliate-history.php?affiliateid=$affiliateid" => $GLOBALS['strAffiliateHistory']),
    			  "2.4.1.1"				=>  array("stats-affiliate-daily.php?affiliateid=$affiliateid&day=$day" => $GLOBALS['strDailyStats']),
    		    "2.4.2"					=>  array("stats-affiliate-zones.php?affiliateid=$affiliateid" => $GLOBALS['strZoneOverview']),
    		      "2.4.2.1"				=>  array("stats-zone-history.php?affiliateid=$affiliateid&zoneid=$zoneid" => $GLOBALS['strZoneHistory']),
    		        "2.4.2.1.1"			=>  array("stats-zone-daily.php?affiliateid=$affiliateid&zoneid=$zoneid&day=$day" => $GLOBALS['strDailyStats']),
    		      "2.4.2.2"				=>  array("stats-zone-linkedbanners.php?affiliateid=$affiliateid&zoneid=$zoneid" => $GLOBALS['strLinkedBannersOverview']),
    		        "2.4.2.2.1"			=>  array("stats-linkedbanner-history.php?affiliateid=$affiliateid&zoneid=$zoneid&bannerid=$bannerid" => $GLOBALS['strLinkedBannerHistory']),
    	      "2.5"		 				=> 	array("stats-global-misc.php" => $GLOBALS['strMiscellaneous']),
    		"3"							=>  array("report-index.php" => $GLOBALS['strReports']),
    		"4"							=>	array("advertiser-index.php" => $GLOBALS['strAdminstration']),
    		  "4.1"						=>	array("advertiser-index.php" => $GLOBALS['strClientsAndCampaigns']),
    		    "4.1.1"					=> 	array("advertiser-edit.php" => $GLOBALS['strAddClient']),
    		    "4.1.2"					=> 	array("advertiser-edit.php?clientid=$clientid" => $GLOBALS['strClientProperties']),
    		    "4.1.3"					=> 	array("advertiser-campaigns.php?clientid=$clientid" => $GLOBALS['strCampaignOverview']),
    		      "4.1.3.1"				=>  array("campaign-edit.php?clientid=$clientid" => $GLOBALS['strAddCampaign']),
    		      "4.1.3.2"				=>	array("campaign-edit.php?clientid=$clientid&campaignid=$campaignid" => $GLOBALS['strCampaignProperties']),
    		      "4.1.3.3"				=> 	array("campaign-zone.php?clientid=$clientid&campaignid=$campaignid" => $GLOBALS['strLinkedZones']),
    		      "4.1.3.4"				=> 	array("campaign-banners.php?clientid=$clientid&campaignid=$campaignid" => $GLOBALS['strBannerOverview']),
    		        "4.1.3.4.1"			=> 	array("banner-edit.php?clientid=$clientid&campaignid=$campaignid" => $GLOBALS['strAddBanner']),
    		        "4.1.3.4.2"			=> 	array("banner-edit.php?clientid=$clientid&campaignid=$campaignid&bannerid=$bannerid" => $GLOBALS['strBannerProperties']),
    		        "4.1.3.4.3"			=> 	array("banner-acl.php?clientid=$clientid&campaignid=$campaignid&bannerid=$bannerid" => $GLOBALS['strModifyBannerAcl']),
    		        "4.1.3.4.4"			=> 	array("banner-zone.php?clientid=$clientid&campaignid=$campaignid&bannerid=$bannerid" => $GLOBALS['strLinkedZones']),
    			    "4.1.3.4.5"			=>  array("banner-swf.php?clientid=$clientid&campaignid=$campaignid&bannerid=$bannerid" => $GLOBALS['strConvertSWFLinks']),
    			    "4.1.3.4.6"			=>  array("banner-append.php?clientid=$clientid&campaignid=$campaignid&bannerid=$bannerid" => $GLOBALS['strAppendOthers']),
    		      "4.1.3.5"				=> 	array("campaign-trackers.php?clientid=$clientid&campaignid=$campaignid" => $GLOBALS['strLinkedTrackers']),
    		    "4.1.4"					=> 	array("advertiser-trackers.php?clientid=$clientid" => $GLOBALS['strTrackerOverview']),
    		      "4.1.4.1"				=>  array("tracker-edit.php?clientid=$clientid" => $GLOBALS['strAddTracker']),
    		      "4.1.4.2"				=>	array("tracker-edit.php?clientid=$clientid&trackerid=$trackerid" => $GLOBALS['strTrackerProperties']),
    		      "4.1.4.3"				=> 	array("tracker-campaigns.php?clientid=$clientid&trackerid=$trackerid" => $GLOBALS['strLinkedCampaigns']),
    		      "4.1.4.4"				=> 	array("tracker-invocation.php?clientid=$clientid&trackerid=$trackerid" => $GLOBALS['strInvocationcode']),
    		      "4.1.4.6"				=> 	array("tracker-append.php?clientid=$clientid&trackerid=$trackerid" => $GLOBALS['strAppendTrackerCode']),
    		      "4.1.4.5"				=> 	array("tracker-variables.php?clientid=$clientid&trackerid=$trackerid" => $GLOBALS['strTrackerVariables']),			  
    		  "4.2" 					=> 	array("affiliate-index.php" => $GLOBALS['strAffiliatesAndZones']),
    		    "4.2.1" 				=> 	array("affiliate-edit.php" => $GLOBALS['strAddNewAffiliate']),
    		    "4.2.2" 				=> 	array("affiliate-edit.php?affiliateid=$affiliateid" => $GLOBALS['strAffiliateProperties']),
    		    "4.2.3" 				=> 	array("affiliate-zones.php?affiliateid=$affiliateid" => $GLOBALS['strZoneOverview']),
    		      "4.2.3.1"				=> 	array("zone-edit.php?affiliateid=$affiliateid" => $GLOBALS['strAddNewZone']),
      		      "4.2.3.2"				=> 	array("zone-edit.php?affiliateid=$affiliateid&zoneid=$zoneid" => $GLOBALS['strZoneProperties']),
    		      "4.2.3.3"				=> 	array("zone-include.php?affiliateid=$affiliateid&zoneid=$zoneid" => $GLOBALS['strIncludedBanners']),
    		      "4.2.3.4"				=> 	array("zone-probability.php?affiliateid=$affiliateid&zoneid=$zoneid" => $GLOBALS['strProbability']),
    		      "4.2.3.5"				=> 	array("zone-invocation.php?affiliateid=$affiliateid&zoneid=$zoneid" => $GLOBALS['strInvocationcode']),
      		      "4.2.3.6"				=> 	array("zone-advanced.php?affiliateid=$affiliateid&zoneid=$zoneid" => $GLOBALS['strAdvanced']),
      		    "4.2.4"                 =>  array("affiliate-invocation.php?affiliateid=$affiliateid" => $GLOBALS['strAffiliateInvocation']),
    		    "4.2.5" 				=> 	array("channels.php?agencyid=$agencyid&affiliateid=$affiliateid" => $GLOBALS['strChannelManagement']),
    		  "4.3" 					=> 	array("admin-generate.php" => $GLOBALS['strGenerateBannercode']),
    		"5"							=> 	array("settings-index.php" => $GLOBALS['strSettings']),
    		  "5.1" 					=> 	array("settings-index.php" => $GLOBALS['strMainSettings']),
    		    "5.5.3" 				=> 	array("channels.php?agencyid=$agencyid&affiliateid=$affiliateid" => $GLOBALS['strChannelManagement']),
    	),
    
    	"client" => array (
    		"1"							=>  array("stats-advertiser-history.php?clientid=$clientid" => $GLOBALS['strHome']),
    		  "1.1"						=>  array("stats-advertiser-history.php?clientid=$clientid" => $GLOBALS['strClientHistory']),
    	        "1.1.1"					=> 	array("stats-advertiser-daily.php?clientid=$clientid&day=$day" => $GLOBALS['strDailyStats']),
    		  "1.2"						=>  array("stats-advertiser-campaigns.php?clientid=$clientid" => $GLOBALS['strCampaignOverview']),
        	    "1.2.1"		 			=> 	array("stats-campaign-history.php?clientid=$clientid&campaignid=$campaignid" => $GLOBALS['strCampaignHistory']),
    		      "1.2.1.1"				=> 	array("stats-campaign-daily.php?clientid=$clientid&campaignid=$campaignid&day=$day" => $GLOBALS['strDailyStats']),
    			"1.2.2"					=> 	array("stats-campaign-banners.php?clientid=$clientid&campaignid=$campaignid" => $GLOBALS['strBannerOverview']),
    			  "1.2.2.1" 			=> 	array("stats-banner-history.php?clientid=$clientid&campaignid=$campaignid&bannerid=$bannerid" => $GLOBALS['strBannerHistory']),
    		        "1.2.2.1.1"			=> 	array("stats-banner-daily.php?clientid=$clientid&campaignid=$campaignid&bannerid=$bannerid&day=$day" => $GLOBALS['strDailyStats']),
    		      "1.2.2.2"				=> 	array("banner-edit.php?clientid=$clientid&campaignid=$campaignid&bannerid=$bannerid" => $GLOBALS['strBannerProperties']),
    			  "1.2.2.3"				=>  array("banner-swf.php?clientid=$clientid&campaignid=$campaignid&bannerid=$bannerid" => $GLOBALS['strConvertSWFLinks']),
        	      "1.2.2.4" 			=> 	array("stats-banner-affiliates.php?clientid=$clientid&campaignid=$campaignid&bannerid=$bannerid" => $GLOBALS['strPublisherDistribution']),
        	    "1.2.3"		 			=> 	array("stats-campaign-affiliates.php?clientid=$clientid&campaignid=$campaignid" => $GLOBALS['strPublisherDistribution']),
        	    "1.2.4"					=> 	array("stats-campaign-target.php?clientid=$clientid&campaignid=$campaignid" => $GLOBALS['strTargetStats']),
    		"3"							=>  array("report-index.php" => $GLOBALS['strReports'])
    	),
    
    	"affiliate" => array (
    		"1"						=>  array("stats-affiliate-zones.php?affiliateid=$affiliateid" => $GLOBALS['strHome']),
    		  "1.1"					=>  array("stats-affiliate-zones.php?affiliateid=$affiliateid" => $GLOBALS['strZones']),
    		    "1.1.1"  			=>  array("stats-zone-history.php?affiliateid=$affiliateid&zoneid=$zoneid" => $GLOBALS['strZoneHistory']),
    		      "1.1.1.1"			=>  array("stats-zone-daily.php?affiliateid=$affiliateid&zoneid=$zoneid&day=$day" => $GLOBALS['strDailyStats']),
    		    "1.1.2"  			=>  array("stats-zone-linkedbanners.php?affiliateid=$affiliateid&zoneid=$zoneid" => $GLOBALS['strLinkedBannersOverview']),
    		      "1.1.2.1"			=>  array("stats-linkedbanner-history.php?affiliateid=$affiliateid&zoneid=$zoneid&bannerid=$bannerid" => $GLOBALS['strLinkedBannerHistory']),
    		  "1.2"					=>  array("stats-affiliate-history.php?affiliateid=$affiliateid" => $GLOBALS['strAffiliateHistory']),
    			"1.2.1"				=>  array("stats-affiliate-daily.php?affiliateid=$affiliateid&day=$day" => $GLOBALS['strDailyStats']),
    		"3"						=>  array("report-index.php" => $GLOBALS['strReports'])
      
    	)
    );
    if (phpAds_isUser(phpAds_Client) && phpAds_isAllowed(phpAds_ModifyInfo)) {
    	$phpAds_nav["client"]["2"] =  array("advertiser-edit.php" => $GLOBALS['strPreferences']);
    }
}
MMM_buildNavigation();

?>
